multimedia/ffmpegthumbnailer - The NetBSD Packages Collection

Lightweight video thumbnailer that can be used by file managers

This video thumbnailer can be used by file managers to create thumbnails for
your video files. The thumbnailer uses ffmpeg to decode frames from the video
files, so supported videoformats depend on the configuration flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as possible. The
only dependencies are ffmpeg, libpng and libjpeg.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/libtool-base devel/cmake devel/pkgconf

Runtime dependencies

graphics/jpeg graphics/png multimedia/ffmpeg4 graphics/jpeg graphics/png multimedia/ffmpeg4

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0i386ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0i386ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0i386ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 8.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0aarch64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0aarch64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0aarch64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0aarch64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0alphaffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0alphaffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv6hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv6hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv6hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv6hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv6hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0earmv7hfffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0i386ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0i386ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0i386ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0i386ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0mips64ebffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0powerpcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0sh3elffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0sh3elffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0sh3elffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0sparc64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0sparc64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0sparcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0sparcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0sparcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0sparcffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz
NetBSD 9.0x86_64ffmpegthumbnailer-2.2.2nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.